## mutter 49.0

=== debian/changelog ===
mutter (49.0-2ubuntu6) resolute; urgency=medium

  * Fix sticky keys not locking (LP: #2127039)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 29 Oct 2025 17:51:18 +0100

mutter (49.0-2ubuntu5) questing; urgency=medium

  [ Daniel van Vugt ]
  * Add patches to resolve handling of modifier keys in the wrong order,
    in some cases (LP: #2125866, LP: #2125240)

  [ Alessandro Astone ]
  * Add patch fixing popups freezing near the screen edge (LP: #2125770)
  * Add patch fixing maximized windows extending under the dock on unlock
    (LP: #2125581)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 02 Oct 2025 10:04:46 +0800

mutter (49.0-2ubuntu4) questing; urgency=medium

  * Add another patch related to LP: #2122579 and refresh the existing one.
    I'm just finding out now from upstream what actually fixed it because
    the bug was never tracked properly before the fix landed.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 25 Sep 2025 16:52:10 +0800

mutter (49.0-2ubuntu3) questing; urgency=medium

  * Add patches from upstream (to be released in 49.1) fixing common
    shell crashes:
    - clutter-gesture-Do-not-crash-on-unknown-events.patch (LP: #2122579)
    - cursor-renderer-native-Sanity-check-texture-size-before-a.patch &
      prefs-Fallback-cursor-size-to-24-when-invalid-value-in-se.patch
      (LP: #2125552)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 25 Sep 2025 13:51:58 +0800

mutter (49.0-2ubuntu2) questing; urgency=medium

  * Add clutter-Use-event-type-to-determine-ClutterFocus-to-deliv.patch
    to ensure the gnome-shell overview gets keyboard focus (LP: #2124255)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 23 Sep 2025 14:46:09 +0800

mutter (49.0-2ubuntu1) questing; urgency=medium

  * New upstream release 49.0

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 19 Sep 2025 12:58:55 +0800

mutter (49.0-2) experimental; urgency=medium

  * debian/libmutter-17-0.symbols: Restore architecture restrictions
    for cogl_trace*

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 09:36:06 -0400

mutter (49.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * debian/libmutter-17-0.symbols: Add new symbol
  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field

  [ Marco Trevisan (Treviño) ]
  * debian/control: Break on gnome-shell versions prior to 49~rc only
  * debian/control: Set version on libglycin-2-dev dependency
  * debian/control: Add libglycin-2-dev dependency to libmutter-17-dev

  [ Alessandro Astone ]
  * debian/control: Improve the description of the mutter-dev-bin package

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 07:59:17 -0400

mutter (49~rc-0ubuntu2) questing; urgency=medium

  * debian/control:
    - Break on gnome-shell versions prior to 49~rc only
    - Set version on libglycin-2-dev dependency
    - Add libglycin-2-dev dependency to libmutter-17-dev
  * debian/libmutter-17-0.symbols: Drop ubuntu version from symbols file

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Sep 2025 08:04:09 +0200

mutter (49~rc-0ubuntu1) questing; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 49.rc (LP: #2079823, LP: #2120628, LP: #2121517)
  * Added new script 'gnome-service-client' to 'mutter-common'.
  * Replaced 'libgdk-pixbuf-2.0-dev' dependency with 'libglycin-2-dev'.
  * Added 'libadwaita-1-dev' dependency for the devkit.
  * Updated 'libmutter-17-0.symbols' and 'libmutter-test-17.symbols' for 49.rc
  * Refreshed debian/patches:
    - workarounds/Mark-several-additional-tests-as-flaky.patch
    - workarounds/tests-Install-stacking-tests-into-a-subdirectory.patch
    - workarounds/tests-Mark-view-verification-tests-as-incomplete-in-big-e.patch
    - ubuntu/window-Add-ability-to-override-the-edge-constraints.patch
  * Drop upstreamed debian/patches:
    - ubuntu/clutter-stage-Allow-for-there-being-no-sprite-when-a-devi.patch
    - ubuntu/core-place-Guarantee-we-never-get-work-area-for-a-NULL-lo.patch
    - ubuntu/monitor-Calculate-fractional-scaling-factors-using-exact-.patch
  * Add debian/patches for the current top crasher (LP: #2121195):
    - ubuntu/clutter-Add-function-clutter_frame_clock_get_frame_count.patch
    - ubuntu/compositor-Don-t-assume-there-s-an-active-ClutterFrame-du.patch
  * debian/control: libmutter-17-0 now breaks gnome-shell<<49~rc due to
    some clutter symbols being removed.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 02 Sep 2025 16:14:42 +0800
