## mutter 49.1

=== debian/changelog ===
mutter (49.1-1) experimental; urgency=medium

  * Team upload
  * New upstream stable release
    - d/patches: Drop patches that were applied upstream
    - d/libmutter-17-0.symbols: Ignore removal of meta_window_resize_frame().
      This is technically an ABI break, but it was only declared in a
      private header for use by automated tests.
    - d/libmutter-test-17.symbols: Update for 49.1

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Oct 2025 12:59:28 +0100

mutter (49.0-3) experimental; urgency=medium

  * Team upload
  * Merge packaging changes from unstable
    - No functional changes, changelog entry only
  * d/p/Use-dbus-debug-topic-for-D-Bus-name-changes.patch,
    d/p/wayland-xdg-shell-Make-invalid-geometry-warning-more-desc.patch,
    d/p/tests-wayland-Add-test-case-for-client-with-invalid-geome.patch,
    d/p/wayland-surface-Make-state-applied-logs-more-informative.patch,
    d/p/wayland-shell-surface-Assume-geometry-empty-if-no-buffer-.patch,
    d/p/wayland-xdg-shell-Ensure-applied-window-geometry-is-alway.patch,
    d/p/tests-wayland-Add-test-for-invalid-geometry-with-subsurfa.patch:
    Add proposed patches from upstream MR mutter!4648 to fix a crash
    with sdl2-compat and ioquake3

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Sep 2025 18:35:28 +0100
