=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
                gir1.2-xlib-2.0-dev,
                libglycin-2-dev (>= 2.0~beta.2),
                gnome-control-center-data,
-               gnome-pkg-tools,
                gnome-settings-daemon-common <!nocheck>,
                gnome-settings-daemon-dev,
                gobject-introspection (>= 1.80),
@@ -175,8 +174,7 @@
 Multi-Arch: same
 Depends: libmutter-17-0 (= ${binary:Version}),
          ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Provides: ${gir:Provides}
 Description: GObject introspection data for Mutter
  Mutter is a Wayland display server and X11 window manager and
@@ -320,3 +318,5 @@
  .
  Internally it uses a fork of Cogl, a hardware acceleration abstraction
  library used to simplify usage of OpenGL pipelines, as well as a fork
+ of Clutter, a scene graph and user interface toolkit.
+ .
