## mutter 49.2

=== debian/changelog ===
mutter (49.2-1ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
  * d/p: Drop Ubuntu patches applied upstream

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 05 Dec 2025 10:45:29 +0100

mutter (49.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1121120)
  * d/libmutter-17-0.symbols: Don't generate dependencies on prereleases
  * d/libmutter-17-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Nov 2025 17:28:41 +0000

mutter (49.1.1-2ubuntu1) resolute; urgency=medium

  [ Mitchell Augustin ]
  * backends/monitor-manager: Improve tiled monitor handling (LP: #2131575)

  [ Alessandro Astone ]
  * Merge with Debian. Remaining changes:
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add backends-native-Fix-sticky-keys-not-locking.patch (LP #2127039)
  * d/p: Drop Ubuntu patches applied upstream
  * d/p: Refresh Ubuntu patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 20 Nov 2025 09:54:37 +0100
