=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
@@ -103,8 +104,11 @@
                zenity,
 Standards-Version: 4.7.2
 Homepage: https://mutter.gnome.org/
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/latest
+
 
 Package: mutter
 Architecture: linux-any
@@ -314,9 +318,3 @@
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
  things, window management, window compositing, focus tracking, workspace
- management, keybindings and monitor configuration.
- .
- Internally it uses a fork of Cogl, a hardware acceleration abstraction
- library used to simplify usage of OpenGL pipelines, as well as a fork
- of Clutter, a scene graph and user interface toolkit.
- .
