## mutter 49.4

=== debian/changelog ===
mutter (49.4-1+rpi1) forky-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 22 Feb 2026 04:26:24 +0000

mutter (49.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/libmutter-17-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Feb 2026 20:00:36 +0000
