## mutter 50~alpha

=== debian/changelog ===
mutter (50~alpha-0ubuntu1) resolute; urgency=medium

  * New upstream release 50.alpha
  * Refreshed patches and fixed conflicts:
    - workarounds/Mark-several-additional-tests-as-flaky.patch
    - workarounds/tests-Install-stacking-tests-into-a-subdirectory.patch
    - ubuntu/window-Add-ability-to-override-the-edge-constraints.patch
  * Add patches:
    - workarounds/tests-test-client-Sync-display-before-closing-it.patch
      to avoid spurious test failures with 50.alpha.
    - ubuntu/Unblock-Nvidia-performance.patch to improve Nvidia driver
      desktop performance.
    - ubuntu/core-Remove-warning-that-a-key-combo-has-been-overridden.patch
      (LP: #1857392)
    - ubuntu/onscreen-native-Reduce-the-log-level-of-buffer-age-warnin.patch
      to eliminate spurious log spam introduced in upstream release 50.alpha.
  * Removed tests that relied strictly on the X11 backend which itself
    has been removed in this release.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 21 Jan 2026 16:19:13 +0800
