## mutter 50~beta

=== debian/changelog ===
mutter (50~beta-0ubuntu1) resolute; urgency=medium

  * New upstream release 50.beta
  * Refreshed patches and fixed conflicts:
    - workarounds/Mark-several-additional-tests-as-flaky.patch
    - workarounds/tests-Install-stacking-tests-into-a-subdirectory.patch
    - workarounds/tests-Mark-view-verification-tests-as-incomplete-in-big-e.patch
    - ubuntu/core-Remove-warning-that-a-key-combo-has-been-overridden.patch
    - ubuntu/window-Add-ability-to-override-the-edge-constraints.patch
  * Drop upstreamed patches:
    - workarounds/tests-test-client-Sync-display-before-closing-it.patch
    - ubuntu/onscreen-native-Reduce-the-log-level-of-buffer-age-warnin.patch
  * Rewrote patches:
    - ubuntu/Unblock-Nvidia-performance.patch
      because it's likely only part of it will land upstream in 50.0 and
      the commits had to be reordered. Also fixed a memory leak on DisplayLink.
  * Added patches:
    - ubuntu/Revert-clutter-frame-clock-Remove-min_render_time_allowed.patch
      to avoid a performance regression introduced upstream in 50.beta.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 05 Feb 2026 16:44:23 +0800
