=== debian/control ===
--- 
+++ 
@@ -79,6 +79,7 @@
                libxi-dev,
                libxinerama-dev,
                libxkbcommon-dev,
+               libxkbregistry-dev,
                libxrandr-dev,
                libxrender-dev,
                meson (>= 1.5.0),
@@ -316,6 +317,3 @@
  library used to simplify usage of OpenGL pipelines, as well as a fork
  of Clutter, a scene graph and user interface toolkit.
  .
- This package contains the shared files.
-
-Package: mutter-common-bin
