=== debian/tests/control ===
Tests: build
Depends: @builddeps@
Restrictions: allow-stderr

Tests: installed-tests
Classes: desktop
Depends: gnome-desktop-testing,
         mutter-18-tests
Restrictions: allow-stderr skippable

Tests: installed-tests-flaky
Classes: desktop
Depends: gnome-desktop-testing,
         mutter-18-tests
Restrictions: allow-stderr flaky
